{
  description = "oom-hardware";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  inputs.nixos-hardware.url = "github:NixOS/nixos-hardware/master";

  outputs = {
    nixpkgs,
    nixos-hardware,
    ...
  }: let
    system = "aarch64-linux";
    pkgs = import nixpkgs {inherit system;};
  in {
    nixosModules = {
      uconsole = import ./uconsole {inherit pkgs nixos-hardware;};
      uconsole-kernel = import ./uconsole/kernel {inherit pkgs;};
      raspberry-pi-overlays = import ./raspberry-pi/overlays;
      raspberry-pi-apply-overlays = import ./raspberry-pi/apply-overlays;
    };
  };
}
